Open topic with navigation

ibi™ Open Data Hub for Mainframe Connectors 1.0.8

# Step 5. Run ISETUP

Server installation consists of a series of ISPF panels, which gather the required information. After the panel dialog is complete, JCL is created and submitted to install the server on z/OS. This JCL job retrieves the remainder of the MVS libraries and ZFS files from the media and configures a basic working server.

1. Execute the ISETUP member of your high_level_qualifier.HOME.DATA using ISPF option 6.

   The first Installation and Configuration panel opens.

2. Type 2 and press Enter to continue to the next panel.

   The following panel opens.

3. Complete the panel as follows.

   Field | Instructions
   --- | ---
   Enter selection | Accept the default value 1, Install and Configure, for a new installation. For option 2, Add Additional Configuration Instance, see Adding a Configuration Instance for ZFS. For option 3, Refresh Installation, see Upgrading Your WebFOCUS Reporting Server Release for ZFS.
   Input source | Enter the input source D.
   Installation Userid | Shows the current logon ID. It cannot be changed.
   OPSYS Administrator Userid | Initially, this field shows the same ID as the installation user ID. If the installation user ID is a superuser (UID=0), you must specify a non-superuser ID to administer the server. Specify this ID here.
   PTH Administrator Userid | An ID is required to administer the server immediately after initial installation. This is defined and maintained solely in the realm of the server. Defaults to srvadmin and it can be changed here. For more information about running the server in secure mode, see Configure Security.
   PTH Administrator Password | Password for the PTH Administrator ID. It cannot be left blank and must be matched at Retype field.
   Customer ID | The ID provided with your WebFOCUS software.
   Umask setting to use | Shows the current umask setting for the iadmin ID. The JCL passes this setting to the server for use at run time. Every time the server creates a file in the .../ibi/profiles or .../ibi/apps directory structures (usually in response to WebFOCUS Reporting Server browser interface activity), the server assigns to the file the default permissions 666 filtered by the umask value. You specify whichever umask value is necessary to mask out the permissions you do not want to grant. For example, if you specify a umask value of 0022, the server creates files with the permissions 644: umask 0022 is subtracted from the default 666, disallowing the group and world write permissions.
   Enter Job Card information | To provide JOB card information for submitting jobs to the JES queue, provide a valid job name (a maximum of seven characters following the // on the first JCL line), which defaults to the user ID that you are currently using. This job name is used for multiple submissions (for example, jobnameA, jobnameB, jobnameC, and so on) in the JCL generated by the installation procedure.
   Override JOB name checking | To provide your own JOB card information, including JOB name, enter Y and provide valid JOB card information in the Enter Job Card information field. The JOB card information that you enter will be used for each job that is submitted.

   If you use the same user ID for both installation and administration, skip to Step 6. Otherwise, continue with Step 4.

4. Press Enter to continue to the next panel.

   The panel appears only if you provided two different user IDs in the previous panel.

   The installation process will change ownership of ZFS files from the installation ID (iinstal) to the administrator ID (iadmin). The installation ID must have authority to issue the chown command to make this change of ownership. This action is taken at the end of the installation process.

5. Complete the panel as follows.

   Field | Instructions
   --- | ---
   Enter Job Card information | To provide JOB card information for submitting the run-time jobs to the JES queue, provide a valid job name (a maximum of seven characters following the // on the first JCL line), which defaults to the user ID that you are currently using. This job name is used for multiple submissions (for example, jobnameA, jobnameB, jobnameC, and so on) in the JCL generated by the installation procedure.
   Override JOB name checking | To provide your own JOB card information, including JOB name, enter Y and provide valid JOB card information in the Enter Job Card information field. The JOB card information that you enter will be used for each run-time job that is created.

6. Press Enter to continue to the next panel.

   Note that in the current panel (and some later panels), if you are running ISETUP from:

   - high_level_qualifier.HOME.DATA, the panel will display default values for some fields.
   - Any other library, the panel will not display any default values.

   In this and some later panels, you can see a field default value (if one exists) by blanking out the field and pressing Enter.

   Complete the panel as follows.

   Field | Instructions
   --- | ---
   Input Media
   Directory name of input | Provide the name of the directory in which the installation files reside.
   General Installation Parameters
   Base Directory | This indicates where to install the software. The default value is the home directory of the user ID you are using to install the product. Change this value, if necessary, to a valid directory that has space for the installation. The installation procedure checks whether this directory exists and has enough space. If either test fails, you will receive a message indicating the failure and available options.
   Application Directory | This indicates where application components will reside. The default value is based on the value specified for Base Directory. To specify another location for application components, change the value for this field.
   Profile & Admin Directory | This indicates where user profiles and administration files will reside. The default value is based on the value specified for Base Directory. To specify a different location for application components, change the value for this field.
   Server System Userid | This shows the default value, ISERVER. To change this value, see the requirements in Set Up User IDs.
   HTTP Listener Port | This indicates the port number that the server will use for HTTP. It is the first of three connection ports that must be available to the server. For example, if you choose port 8101, then ports 8101, 8102, and 8103 are used by the server. Ensure that you choose ports that are not currently being used.
   TCP Listener Port | This is the port number of the TCP Listener. The default is one less than the port specified for the HTTP Listener, but it can be any port number other than the three reserved for HTTP.
   MVS Installation Libraries
   EDACONF Library | This is the full data set name the installation procedure will use to allocate the EDACONF configuration library on MVS. If you are running from high_level_qualifier.HOME.DATA, this field will have the default value high_level_qual.WFS.DATA. If you used another name to unload the first data set, this field will be blank. On subsequent running of ISETUP, the previous value used will be displayed. Change the value as necessary.
   EDACONF Library Unit/Type | These show the values that the installation process will use to allocate the EDACONF library on MVS. If necessary, you can change these to site-specific values. Type can be VOL=SER (default), DATACLAS, MGMTCLAS, or STORCLAS.
   EDAHOME Library | This is the full data set name the installation procedure will use to allocate the EDAHOME load library on MVS. If you are running from high_level_qualifier.HOME.DATA, this field will have the default value high_level_qualifier.HOME.LOAD. If you used another name to unload the first data set, this field will be blank. On subsequent running of ISETUP, the ppropsious value used will be displayed. Change the value as necessary.
   EDAHOME Library Unit/Type | These show the values that the installation process will use to allocate the EDAHOME load library on MVS. If necessary, you can change these to site-specific values. Type can be VOL=SER (default), DATACLAS, MGMTCLAS, or STORCLAS.

7. Press Enter to continue to the next panel.

   The Data Adapter panel may open before the Demonstration Files panel. If the Data Adapter panel opens, continue with Step 10. Otherwise, skip to Step 11.

8. The Data Adapter panel lists adapters that require the allocation of MVS libraries in IRUNJCL or environment variables in the EDAENV member.

   To select specific adapters:

   1. Type Y next to the required adapters and press Enter.
   2. Supply the requested information, which is described in Collect Required Information for Adapters.

      After you have finished installing and configuring, you can use the WebFOCUS Reporting Server browser interface to finish configuring these adapters, and to configure adapters that do not have MVS JCL requirements.

   3. Press Enter to continue to the next panel.

      The JSCOM3 Listener configuration panel opens.

9. Configuration of the JSCOM3 Listener is either optional or mandatory depending on which adapters were selected. If any Java-based adapters were selected (EJB, Call Java, JDBC, Microsoft SQL Server), the configuration is mandatory.
   1. The panel will prompt for the path to the Java environment to be passed to either JDK_HOME or JAVA_HOME, as described in JVM Requirements for Java Services.
   2. If no Java-based adapters were selected, this configuration might still be desirable to enable server-side graphics and Adobe® Flex® features. To skip the configuration, leave the path blank.
10. Press Enter to continue to the next panel.

    The Confirmation panel opens.

11. Ensure that all values on the Confirmation panel are correct, then select one of the following options:
    - N to return to the initial panel so that you can change installation values.
    - C to create JCL which you can submit at a later time. The JCL is placed in your high_level_qualifier.WFS.DATA configuration library.
    - S to create JCL and submit the job immediately.
    Note: If FTP was selected, JCL will be created to download the server software and run the install and configuration process.
12. As the job is processed, in SDSF, check JESLOG for errors and return codes.

The following is a table of the jobs created. All members are created in the configuration library (EDACONF).

Job | Description
--- | ---
ISETUPJ1 | Main JCL Job stream that is used to install the software.
ISOPTS1 | Options used to install the server.

The following members all call procedure IRUNJCL, which is the main server JCL. If you need to change the server JCL, change member IRUNJCL.

Member | Description
--- | ---
ISTART | Starts the server.
ISTOP | Stops the server.
ICLEAR | Clears server resources after an abnormal end.
ICLRDIR | Clears superuser-owned directories from a ppropsiously run secure server.
ISAVEDIA | Creates a directory called sdnnnnnn and populates it with full diagnostic information.
ISHOW | Shows current workspace status.
ITRCON | Turns on dynamic tracing (server will be started if not already running).
ITRCOFF | Turns off dynamic tracing (server will be started if not already running).

The following members contain batch JCL for auxiliary functions, and are created in the configuration library.

Member | Description
--- | ---
CMRUN | JCL to run ibi Data Migrator batch jobs.
DB2VverPR | Db2 DBRM, where ver is your supported version of Db2 referenced in GENDB2 JCL.
GENDB2 | JCL to bind the Db2/CAF plan.
IRDAAPPC | Example CLIST to run RDAAPP Client test tool.
IRDAAPPJ | Example JCL to run RDAAPP Client test tool.

The following members contain sample started task JCL, and are created in the configuration library.

Member | Description
--- | ---
IWAYS | Started task that starts the server.
IWAYP | Sarted task that stops the server.
EDAPRMP | Parameter file used by IWAYP.
EDAENV | Parameter file used by IWAYS, IWAYP, ISTART, and ISTOP.

The following table shows the ZFS directory structures created during the installation process.

Directory Structure | Description
--- | ---
    /u/iadmin/ibi/srv93/tape
| Contains ZFS files from the input media.
    /u/iadmin/ibi/srv93/install
| Working directory for the installation process. Log and error files reside here.
    /u/iadmin/ibi/apps
| The installation creates baseapp and one or more sample application directories under this directory.
    /u/iadmin/ibi/profiles
| This is where user profiles are created, as well as admin.cfg.
    /u/iadmin/ibi/srv93/home
| Software system directories are created under this directory.
    /u/iadmin/ibi/srv93/wfs
| Configuration directories are created under this directory.

Did you find this helpful?

Yes No
Great!
Thanks for taking the time to give us some feedback.
Sorry about that

Why wasn't this helpful? (check all that apply)

Could not find what I was looking for
Instructions confusing or unclear
Instructions did not work

Want to tell us more?

Please select at least one option or provide details about the issue!!

Error occurred while submitting feedback.

Error2 occurred while submitting feedback.

ibi™ Open Data Hub for Mainframe Connectors

Copyright © 2021-2025. Cloud Software Group, Inc. All Rights Reserved.